<bugID>1114380<Summary>adbhelper add-on should be more verbose (should not be silently installed and should provide more info)</Summary><Description>(used: Firefox 34.0.5 on 64 bit Linux, but that likely happens everywhere)

In short: Firefox should just not pull in a addon which I never wanted and IF, then it should provide info about the addon - why it is there, who put it there... if I find it in my addon list. 

This adbhelper addon (0.7.2) accidentally caused some trouble in the past (see bug 1113103). When I first experienced the caused trouble, it was really hard to get some info about what was why going on.

If you accidentally find this addon in your addon list (as I did), it was hard to get to know why it is there, What is does, who it programmed, ... There is only a link to the github repository included - which has a readme (if you find it) which is not very helpful.

A fresh profile does not have this extension, but it got pulled in as soon I started Firefox' WebIDE - clearly visible (along with many WARN about exceptions).

In my usual working profile I do not remember having started the WebIDE when the addon was downloaded. The same for a friend. There the addon was downloaded (according to file system dates) roughly at the same date. I did never used the WebIDE, *but* I tried it out once, because I was looking what toys are in Firefox' menus. Same for my friend.

Apparently this is THE info page about this addon https://developer.mozilla.org/en-US/Firefox_OS/Using_the_App_Manager  So this one should be provided in the links which the addon has in the addon list.  There should be info telling you that the addon was likely automatically installed because you started the WebIDE once. There should be info how to permanently remove it.

And in addition I would say that you should ask the user if he wants to have this addon at all BEFORE you automatically download and install it. This is the stable firefox version, not a nightly or testers' version</Description></bugID>